#!/usr/bin/perl -Tw

use Test::More 'no_plan';

use CPAN::Test::Mistake;

my $mistake = CPAN::Test::Mistake->new('File Not Found',  'foo.tar.gz');

ok( defined $mistake,       'new() returned something' );
ok( $mistake->isa('CPAN::Test::Mistake'),  "  it's an object" );

is( $mistake->name,     'File Not Found',   '  name()' );
ok( $mistake->is_fatal,                     "  it's fatal" );
is( $mistake->by,       'CPAN',             '  by()' );
is( $mistake->fix,      'Contact modules@perl.org', '  fix()' );
is( $mistake->more_info,  'foo.tar.gz',     '  more_info()' );
is( $mistake->description, "Couldn't find your module on CPAN", 
                                          '  description()' );


is( $mistake->report, <<'REPORT',             '  report()' );
We may have found a fatal mistake in your module.  It appears to have
been made by CPAN.

Mistake:  File Not Found
Couldn't find your module on CPAN

Our Recommendation:
Contact modules@perl.org
REPORT

ok( !CPAN::Test::Mistake->new("This isn't a valid mistake name"),
                             'Invalid mistake name' );
