#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

my $Original_File = 'lib/CPAN/Test/Mistake.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 47 lib/CPAN/Test/Mistake.pm
use CPAN::Test::Mistake;
$CLASS = 'CPAN::Test::Mistake';

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 62 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'new' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 87 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'all' );

my @mistakes = CPAN::Test::Mistake->all;
ok( @mistakes,      'all() returned some mistakes' );
ok( !grep !$_->isa('CPAN::Test::Mistake'), @mistakes );


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 163 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'by' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 174 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'is_fatal' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 185 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'name' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 196 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'description');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 207 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'fix' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 219 lib/CPAN/Test/Mistake.pm
can_ok( $CLASS, 'more_info' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

