#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

my $Original_File = 'lib/CPAN/Test/Module.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 75 lib/CPAN/Test/Module.pm
require_ok('CPAN::Test::Module');
$CLASS = 'CPAN::Test::Module';

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 89 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'create' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 121 lib/CPAN/Test/Module.pm
can_ok( $CLASS, 'name' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 179 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'author' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 193 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'file' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 207 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'filepath' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 236 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'namespaces' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 258 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'add_namespaces' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 300 lib/CPAN/Test/Module.pm
can_ok( $CLASS, qw(mkpl_output make_output test_output install_output) );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 341 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'which_mirror' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 358 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'fetch' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 394 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'unpack' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 443 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'which_perl' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 459 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'prefix' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 482 lib/CPAN/Test/Module.pm
can_ok( 'CPAN::Test::Module', 'makefile_pl' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 551 lib/CPAN/Test/Module.pm
can_ok( $CLASS, 'prereqs' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 595 lib/CPAN/Test/Module.pm
can_ok( $CLASS, 'make' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 621 lib/CPAN/Test/Module.pm
can_ok($CLASS, 'test');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 688 lib/CPAN/Test/Module.pm
can_ok( $CLASS, 'mistake' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 722 lib/CPAN/Test/Module.pm
can_ok( $CLASS, 'mistakes' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

