#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

my $Original_File = 'lib/CPAN/Test.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 48 lib/CPAN/Test.pm
use CPAN::Test;

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 61 lib/CPAN/Test.pm
can_ok( 'CPAN::Test', 'mirror' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 78 lib/CPAN/Test.pm
can_ok( 'CPAN::Test', 'init' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 112 lib/CPAN/Test.pm
ok( CPAN::Test->can('init_authors'),   'init_authors' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 144 lib/CPAN/Test.pm
ok( CPAN::Test->can('init_packages'),  'init_packages' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 217 lib/CPAN/Test.pm
can_ok( 'CPAN::Test', 'author' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 233 lib/CPAN/Test.pm
can_ok( 'CPAN::Test', 'module_by_archive' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 249 lib/CPAN/Test.pm
can_ok( 'CPAN::Test', 'module_by_namespace' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 265 lib/CPAN/Test.pm
can_ok( 'CPAN::Test', 'read_update_email' );

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

